Thread Closed
Need Help [wpscan - despi]
#1
error pass menambahkan wpscan ...

note rb. sudah di update ke versi terbaru

[email protected]:/opt/metasploit/msf# gem --version
1.8.24

install despinya berhasil

[email protected]:/attack/scanner/wpscan# gem install json
Fetching: json-1.7.3.gem (100%)
Building native extensions. This could take a while...
Successfully installed json-1.7.3
1 gem installed
Installing ri documentation for json-1.7.3...
Installing RDoc documentation for json-1.7.3...

[email protected]:/attack/scanner/wpscan# gem install typhoeus
Successfully installed typhoeus-0.4.0
1 gem installed
Installing ri documentation for typhoeus-0.4.0...
Installing RDoc documentation for typhoeus-0.4.0...

gagal di nokogiri

[email protected]:/attack/scanner/wpscan# gem install nokogiri
Fetching: nokogiri-1.5.3.gem (100%)
Building native extensions. This could take a while...
ERROR: Error installing nokogiri:
ERROR: Failed to build gem native extension.

/usr/bin/ruby1.8 extconf.rb
checking for libxml/parser.h... no
-----
libxml2 is missing. please visit http://nokogiri.org/tutorials/installing_nokogiri.html for help with installing dependencies.
-----
*** extconf.rb failed ***
Could not create Makefile due to some reason, probably lack of
necessary libraries and/or headers. Check the mkmf.log file for more
details. You may need configuration options.

Code:
Provided configuration options:
    --with-opt-dir
    --without-opt-dir
    --with-opt-include
    --without-opt-include=${opt-dir}/include
    --with-opt-lib
    --without-opt-lib=${opt-dir}/lib
    --with-make-prog
    --without-make-prog
    --srcdir=.
    --curdir
    --ruby=/usr/bin/ruby1.8
    --with-zlib-dir
    --without-zlib-dir
    --with-zlib-include
    --without-zlib-include=${zlib-dir}/include
    --with-zlib-lib
    --without-zlib-lib=${zlib-dir}/lib
    --with-iconv-dir
    --without-iconv-dir
    --with-iconv-include
    --without-iconv-include=${iconv-dir}/include
    --with-iconv-lib
    --without-iconv-lib=${iconv-dir}/lib
    --with-xml2-dir
    --without-xml2-dir
    --with-xml2-include
    --without-xml2-include=${xml2-dir}/include
    --with-xml2-lib
    --without-xml2-lib=${xml2-dir}/lib
    --with-xslt-dir
    --without-xslt-dir
    --with-xslt-include
    --without-xslt-include=${xslt-dir}/include
    --with-xslt-lib
    --without-xslt-lib=${xslt-dir}/lib


Gem files will remain installed in /var/lib/gems/1.9.2/gems/gems/nokogiri-1.5.3 for inspection.
Results logged to /var/lib/gems/1.9.2/gems/gems/nokogiri-1.5.3/ext/nokogiri/gem_make.out

hmm instal despi untuk nokogiri

[email protected]:/attack/scanner/wpscan# sudo apt-get install libxml2 libxml2-dev libxslt1-dev

namun tetap saja gagal

Code:
[email protected]:/attack/scanner/wpscan# sudo gem install nokogiri
Building native extensions.  This could take a while...
Successfully installed nokogiri-1.5.3
1 gem installed
Installing ri documentation for nokogiri-1.5.3...

No definition for get_options

No definition for set_options

No definition for parse_memory

No definition for parse_file

No definition for parse_with
Installing RDoc documentation for nokogiri-1.5.3...

No definition for get_options

No definition for set_options

No definition for parse_memory

No definition for parse_file

No definition for parse_with
[email protected]:/attack/scanner/wpscan# ./wpstools.rb

Quote:[ERROR] no such file to load -- nokogiri
[TIP] Try to run 'gem install nokogiri' or 'gem install --user-install nokogiri'. If you still get an error, Please see README file or http://code.google.com/p/wpscan/

Ada saran ?

#2
coba ikutin steps instalasi yg di sini http://code.google.com/p/wpscan/wiki/README
[shcode=This_site_xss-ed]

#3
Yang di atas mah sudah sama kok ternyata harus di reboot dulu ..

thx done !

fixed !



Thread Closed



Users browsing this thread: 1 Guest(s)